@import './variables.css';
@import './index.css';

.auth-form-container{
    padding: 5%;    
}

.auth-form-container h2 {
    margin-top: 10%;
    font-size: 4.5rem;
    color: var(--text);
    text-align: center
}

.auth-form-container .form-group {
    width: 90vw;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.auth-form-container form {
    display: flex;
    flex-direction: column;
    gap: 5rem;
}

.auth-form-container form input {
    height: 6rem;
    width: calc(100% - 5rem);
    border-radius: 3rem;
    padding: 0 2.5rem;
    font-size: 3rem;
    color: var(--text);
    background-color: white;
    box-shadow: 0 0 5px rgba(0,0,0,0.1);
}

.auth-form-container form input::placeholder {
    color: var(--secondary-text);
}

.auth-form-container form label {
    font-size: 3rem;
    padding: 0 2.5rem;
    color: var(--secondary-text);
}

.form-group a {
    font-size: 2.25rem;
    margin-top: 1rem;
    text-align: right;
}

.form-links {
    display: flex;
    flex-direction: column;
    text-align: center;
    font-size: 2.5rem;
}

.form-links a {
    margin-top: 2rem;
    text-decoration: none;
}

.notification-container {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0px;
    left: 50%;
    transform: translate(-50%, 64px);
    opacity: 1;
    visibility: hidden;
    background-color: var(--background);
    padding: 1rem 2rem;
    border: 0;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    width: calc(100% - (4rem + 64px));
    gap: 3rem;
    transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
}

.notification-container.show {
    transform: translate(-50%, 64px);
    opacity: 1;
    visibility: visible;
}

.notification-container p {
    margin: 0;
    font-size: 2.5rem;
    color: var(--text);
    text-align: center;
}

.notification-container > p {
    padding: 0rem 1rem 1rem 1rem;
}

.notification-container div {
    display: flex;
    flex-direction: row;
    width: 100%;
    align-items:center;
    justify-content: center;
    gap: 1rem;
    padding-top: 1rem;
}

.notification-container div > p {
    font-weight: 800;
}

.notification-container div > p.success,
.notification-container div > i.success {
    color: var(--success);
}

.notification-container div > p.error,
.notification-container div > i.error {
    color: var(--error);
}

.notification-container div i {
    font-size: 3rem;
    color: var(--text);
}

.notification-container div i.hide {
    display: none;
}

.darken-background {
    opacity: 0;
    visibility: hidden;
    background-color: black;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 500;
    transition: opacity 0.5s ease-in-out, visibility 0.5s ease-in-out;
}

.darken-background.show {
    opacity: 0.5;
    visibility: visible;
}

.email-verification-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
    padding: 0% 5%;
}

.email-verification-container h2{
    font-size: 4rem;
    color: var(--success);
    text-align: center;
    margin-top: 10%;
}

.email-verification-container .btn-primary {
    width: 100%;
    min-width: 200px;
}
